
#include "variables.h"
#include <p24F16KA101.h>
#include "ports.h"
#include "i2c.h"
#include "timers.h"

/** CONFIGURATION **************************************************/

_FOSCSEL(FNOSC_FRC);										// internal RC oscillator @ 8 MHz
_FOSC(OSCIOFNC_ON & FCKSM_CSECMD);							// RA3 as digital I/O and enable clock switch
//_FWDT(FWDTEN_ON & WINDIS_OFF & FWPSA_PR128 & WDTPS_PS8192);	// watchdog timer enabled => 33 sec
_FWDT(FWDTEN_OFF);
_FPOR(MCLRE_ON & PWRTEN_ON); // & BORV_V27);						// RA& as digital I/O
_FICD(BKBUG_OFF & ICS_PGx1);								// background debugger disabled
_FDS(RTCOSC_LPRC & DSWDTEN_OFF);							// RTCC oscillator = LPRC@31 KHz & deep sleep watchdog timer disabled


// protocol:
// master write: device address, R1, G1, B1, R2, G2, B2, R3, G3, B3


int main(void) {
   
	RCONbits.WDTO = 0;		// clear WDT flag

	AD1PCFG = 0xFFFF;	// all pins as digital
	init_ports();
	i2c_init();
	init_timers();

	i2cState = STATE_WAIT_FOR_ADDR;
/*
	dataValues[0] = 50;
	dataValues[1] = 50;
	dataValues[2] = 50;
	dataValues[3] = 50;
	dataValues[4] = 50;
	dataValues[5] = 50;
	dataValues[6] = 50;
	dataValues[7] = 50;
	dataValues[8] = 50;
*/
    while(1) {  	

		asm("CLRWDT;");		// clear WDT
		    	
	}

	return 0;

}
